class LiveCareClinicScheduleResponse {
  int? iD;
  int? serviceID;
  int? dayOfWeek;
  String? dayOfWeekStr;
  bool? isActive;
  String? createdOn;
  String? createdBy;
  bool? projectOutSA;
  String? dayOfWeekStrN;
  List<ShiftTimings>? shiftTimings;

  LiveCareClinicScheduleResponse({this.iD, this.serviceID, this.dayOfWeek, this.dayOfWeekStr, this.isActive, this.createdOn, this.createdBy, this.projectOutSA, this.dayOfWeekStrN, this.shiftTimings});

  LiveCareClinicScheduleResponse.fromJson(Map<String, dynamic> json) {
    iD = json['ID'];
    serviceID = json['ServiceID'];
    dayOfWeek = json['DayOfWeek'];
    dayOfWeekStr = json['DayOfWeekStr'];
    isActive = json['IsActive'];
    createdOn = json['CreatedOn'];
    createdBy = json['CreatedBy'];
    projectOutSA = json['ProjectOutSA'];
    dayOfWeekStrN = json['DayOfWeekStrN'];
    if (json['ShiftTimings'] != null) {
      shiftTimings = <ShiftTimings>[];
      json['ShiftTimings'].forEach((v) {
        shiftTimings!.add(new ShiftTimings.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ID'] = this.iD;
    data['ServiceID'] = this.serviceID;
    data['DayOfWeek'] = this.dayOfWeek;
    data['DayOfWeekStr'] = this.dayOfWeekStr;
    data['IsActive'] = this.isActive;
    data['CreatedOn'] = this.createdOn;
    data['CreatedBy'] = this.createdBy;
    data['ProjectOutSA'] = this.projectOutSA;
    data['DayOfWeekStrN'] = this.dayOfWeekStrN;
    if (this.shiftTimings != null) {
      data['ShiftTimings'] = this.shiftTimings!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ShiftTimings {
  String? endTime;
  int? shiftID;
  String? startTime;

  ShiftTimings({this.endTime, this.shiftID, this.startTime});

  ShiftTimings.fromJson(Map<String, dynamic> json) {
    endTime = json['EndTime'];
    shiftID = json['ShiftID'];
    startTime = json['StartTime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['EndTime'] = this.endTime;
    data['ShiftID'] = this.shiftID;
    data['StartTime'] = this.startTime;
    return data;
  }
}
